# TEL_SURF_PROP Struct Reference

`#include <InterfaceGraphic_telem.h>`

## Data Fields

float | amb
float | diff
float | spec
float | emsv
float | trans
float | shine
float | env_reflexion
int | isamb
int | isdiff
int | isspec
int | isemsv
int | isphysic
TEL_COLOUR | speccol
TEL_COLOUR | difcol
TEL_COLOUR | ambcol
TEL_COLOUR | emscol
TEL_COLOUR | matcol

## Field Documentation

float TEL_SURF_PROP::amb

TEL_COLOUR TEL_SURF_PROP::ambcol

TEL_COLOUR TEL_SURF_PROP::difcol

float TEL_SURF_PROP::diff

TEL_COLOUR TEL_SURF_PROP::emscol

float TEL_SURF_PROP::emsv

float TEL_SURF_PROP::env_reflexion

int TEL_SURF_PROP::isamb

int TEL_SURF_PROP::isdiff

int TEL_SURF_PROP::isemsv

int TEL_SURF_PROP::isphysic

int TEL_SURF_PROP::isspec

TEL_COLOUR TEL_SURF_PROP::matcol

float TEL_SURF_PROP::shine

float TEL_SURF_PROP::spec

TEL_COLOUR TEL_SURF_PROP::speccol

float TEL_SURF_PROP::trans

The documentation for this struct was generated from the following file:

- InterfaceGraphic_telem.h